> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Cubist login with TOTP code



## OpenAPI

````yaml /api-reference/data-api.json post /v2/account-connections/cubist/login/{loginId}/mfa/totp
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/account-connections/cubist/login/{loginId}/mfa/totp:
    post:
      tags:
        - Account Connections
      summary: Complete Cubist login with TOTP code
      operationId: completeTotp
      parameters:
        - name: loginId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CubistLoginTotpDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CubistLoginStatusResponseDto'
components:
  schemas:
    CubistLoginTotpDto:
      type: object
      properties:
        code:
          type: string
          minLength: 6
          maxLength: 8
          example: '482913'
      required:
        - code
    CubistLoginStatusResponseDto:
      type: object
      properties:
        status:
          type: string
          enum:
            - mfa_required
            - complete
            - expired
        login_id:
          type: string
        mfa_types:
          description: MFA types required (e.g. Totp, Fido)
          type: array
          items:
            type: string
        refresh_token:
          type: string
          description: >-
            Present when status is complete; use for connection create or direct
            bootstrap
        expiration:
          type: number
      required:
        - status
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````